com.independentsoft.exchange

## Class UserSetting

- java.lang.Object
- - com.independentsoft.exchange.UserSetting

-     public class UserSetting
      extends java.lang.Object

  Represents a single user setting.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSetting()` Initializes a new instance of the UserSetting class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the name of the user setting.
    `java.util.List<ProtocolConnection>` | `getProtocolConnections()` Gets a collection of protocol connections.
    `java.lang.String` | `getType()` Gets the type.
    `java.lang.String` | `getValue()` Gets the value of the user setting.
    `java.util.List<WebClientUrl>` | `getWebClientUrls()` Gets the URL of an Exchange Web client.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSetting

          public UserSetting()

      Initializes a new instance of the UserSetting class.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the user setting.
      Returns:
        the name

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the user setting.
      Returns:
        the value

    - #### getType

          public java.lang.String getType()

      Gets the type.
      Returns:
        the type

    - #### getWebClientUrls

          public java.util.List<WebClientUrl> getWebClientUrls()

      Gets the URL of an Exchange Web client.
      Returns:
        the web client urls

    - #### getProtocolConnections

          public java.util.List<ProtocolConnection> getProtocolConnections()

      Gets a collection of protocol connections.
      Returns:
        the protocol connections